From f14e0de326fec7a99b2e2bf5e4310ced71e5aacb Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 28 2024 12:55:06 +0000
Subject: [PATCH 94/220] s


---

diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 6ccd7f8..fd7e38b 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -11,7 +11,28 @@ Release:        %autorelease
 Summary:        Login and display manager built using GreetD for the COSMIC Desktop Environment.
 
 SourceLicense:  GPL-3.0
-License:        GPL-3.0
+# 0BSD OR MIT OR Apache-2.0
+# Apache-2.0
+# Apache-2.0 OR BSL-1.0
+# Apache-2.0 OR MIT
+# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
+# BSD-2-Clause
+# BSD-3-Clause
+# BSL-1.0
+# CC-PDDC
+# CC0-1.0
+# GPL-3.0
+# ISC
+# MIT
+# MIT OR Apache-2.0
+# MIT OR Apache-2.0 OR CC0-1.0
+# MIT OR Apache-2.0 OR Zlib
+# MIT OR Zlib OR Apache-2.0
+# MPL-2.0
+# Unlicense OR MIT
+# Zlib
+# Zlib OR Apache-2.0 OR MIT
+License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1.0 AND Apache-2.0 OR MIT AND Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT AND BSD-2-Clause AND BSD-3-Clause AND BSL-1.0 AND CC-PDDC AND CC0-1.0 AND GPL-3.0 AND ISC AND MIT AND MIT OR Apache-2.0 AND MIT OR Apache-2.0 OR CC0-1.0 AND MIT OR Apache-2.0 OR Zlib AND MIT OR Zlib OR Apache-2.0 AND MPL-2.0 AND Unlicense OR MIT AND Zlib AND Zlib OR Apache-2.0 OR MIT
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-greeter
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ac68062..ac2251b 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -68,7 +68,7 @@ cat .vendor/config.toml >> .cargo/config
 
 %build
 export RUSTFLAGS="$RUSTFLAGS --cfg tokio_unstable"
-cargo build --release --frozen --offline
+%cargo_build
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index a95c436..a5312b3 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -51,6 +51,7 @@ BuildRequires:  cargo
 BuildRequires:  wayland-devel
 BuildRequires:  libxkbcommon-devel
 BuildRequires:  systemd-devel
+BuildRequires:  pulseaudio-libs-devel
 BuildRequires:  just
 
 %global _description %{expand:
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index b5fbfe7..81ae1ba 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -11,7 +11,27 @@ Release:        %autorelease
 Summary:        Modular IPC-based desktop launcher service.
 
 SourceLicense:  GPL-3.0-only AND MPL-2.0
-License:        GPL-3.0
+# (Apache-2.0 OR MIT) AND BSD-3-Clause
+# Apache-2.0
+# Apache-2.0 OR BSL-1.0
+# Apache-2.0 OR ISC OR MIT
+# Apache-2.0 OR MIT
+# Apache-2.0 WITH LLVM-exception
+# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
+# BSD-3-Clause
+# GPL-3.0
+# GPL-3.0-only
+# ISC
+# MIT
+# MIT OR Apache-2.0
+# MIT OR Apache-2.0 OR BSD-2-Clause
+# MIT OR Apache-2.0 OR Zlib
+# MPL-2.0
+# MPL-2.0 OR MIT OR Apache-2.0
+# Unlicense OR MIT
+# Zlib
+# Zlib OR Apache-2.0 OR MIT
+License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND Apache-2.0 AND Apache-2.0 OR BSL-1.0 AND Apache-2.0 OR ISC OR MIT AND Apache-2.0 OR MIT AND Apache-2.0 WITH LLVM-exception AND Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT AND BSD-3-Clause AND GPL-3.0 AND GPL-3.0-only AND ISC AND MIT AND MIT OR Apache-2.0 AND MIT OR Apache-2.0 OR BSD-2-Clause AND MIT OR Apache-2.0 OR Zlib AND MPL-2.0 AND MPL-2.0 OR MIT OR Apache-2.0 AND Unlicense OR MIT AND Zlib AND Zlib OR Apache-2.0 OR MIT
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/launcher

